## SuperApp API

### Base URL

| Tipo               | Url                                                |
| ------------------ | -------------------------------------------------- |
| Homologação        | "https://hom-superapp-api.teknisa.com/index.php" |
| Produção           | "https://superapp-api.teknisa.com/index.php"    |

### Rotas do tipo POST

<details>
  <summary>
    <code>GET</code>
    <code><b>/getRestaurants</b></code>
  </summary>

##### Response

```
[
    {
        "id": String, // Código do Restaurante (Código da Unidade)
        "restaurantName": String, // Nome do Restaurante (Nome da Unidade)
        "description": String, // Informações sobre a Unidade
        "tags": [ Array //Array com as tags do restaurante
            String // tag do restaurante
        ],
        "headerImage": String // link de imagem principal da Unidade
    }
]
```

</details>

---

<details>
  <summary>
    <code>POST</code>
    <code><b>/getRestaurantsDetails</b></code>
  </summary>

##### Payload

```
{
    "id": String // Código do Restaurante(Código da Unidade)
}
```

##### Response

```
{
    "id": String, // Código do Restaurante(Código da Unidade)
    "restaurantDescription": String, // Informações sobre a Unidade
    "restaurantName": String, // Nome do Restaurante(Nome da Unidade)
    "restaurantImg": [ Array // Array com imagens vinculadas a Unidade
        String, // link da imagem
    ],
    "chefImage": String, // link da imagem do Chef responsável pela Unidade
    "tags": [ Array //Array com as tags do restaurante
        String // tag do restaurante
    ],
    "restaurantInfo": { Array // Array com as informações adicionais da Unidade
        "email": String, // Email da Unidade
        "paymentMethods": [ Array // Array com os tipos de recebimentos utilizados pela Unidade
            String // Descrição do tipo de recebimento
        ],
        "hours": String, // Horários de funcionamento da Unidade
        "address": { Array // Array com informações de localidade da Unidade
            "location": String, // Endereco completo da Unidade
            "link": String // link localização da Unidade (google maps)
        }
    }
}
```

</details>

---

<details>
  <summary>
    <code>POST</code>
    <code><b>/getMenu</b></code>
  </summary>

##### Payload

```
{
    "id": String // Código do Restaurante(Código da Unidade)
}
```

##### Response

```
[
    {
        "dishGroup": String, // Grupo de Produtos
        "dishGroupEn": String, // Grupo de Produtos Traduzido Ingles
        "dishGroupEn": String, // Grupo de Produtos Traduzido Espanhol
        "dishes": [ Array // Array com os produtos
            {
                "dishId": String, // Código do Produto
                "dishImg": String, // Link de imagem principal do produto
                "dishSlideImg": [ // Array com imagens do produto
                    String // Link de imagem do produto
                ],
                "dishName": String, // Nome do Produto
                "dishNameEs": String, // Nome do Produto Traduzido Ingles
                "dishNameEn": String, // Nome do Produto Traduzido Espanhol 
                "dishDescription": String, // Descrição de venda do produto
                "dishDescriptionEn": String, // Descrição de venda do produto Traduzido Ingles
                "dishDescriptionEs": String, // Descrição de venda do produto Traduzido Espanhol
                "dishOriginalPrice": Float, // Preço do produto
                "dishDiscount": String, // Discriminação de desconto do produto(Ex: -10%)
                "dishDiscountPrice": Float, // Preço do produto com desconto aplicado
                "dishTags": [ Array // Array com as tags do produto
                    String // Tag do produto
                ],
                "dishIngredients": { Array // Array com inf de ingredientes do produto
                    "ingredients": String, // Ingredientes que compõem o produto
                    "warning": String, // alerta sobre restrição a possível alergênicos
                    "allergens": [ Array // Array com alérgenos que compõem o produto
                        {
                            "description": String, // Descrição do alergênico
                            "img": String // Link com imagem/Ícone do alergênico
                        }
                    ]
                },
                "dishNutrition": { Array // Array de informações nutricionais do produto
                    "volume": String, // Volume/quantidade de porção
                    "saturatedFats": String, // Quantidade de gordura saturadas por porção
                    "totalCalories": String, // Quantidade de calorias por porção
                    "transFat": String // Quantidade de gordura trans por porção
                }
            }
        ]
    }
]
```

</details>

---
